Skip to main content
GET
/
boxes
/
{boxId}
/
snapshots
List box snapshots
curl --request GET \
  --url https://ascii.dev/api/box/v1/boxes/{boxId}/snapshots \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "type": "<string>",
  "snapshots": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "boxId": "<string>",
      "status": "completed",
      "generation": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "sizeBytes": 123,
      "fileCount": 123,
      "chainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "completedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pageInfo": {
    "nextCursor": "<string>",
    "hasMore": true,
    "limit": 123
  }
}

Authorizations

Authorization
string
header
required

Box bearer token in the form box_.... Service API keys authenticate Box operations.

Path Parameters

boxId
string
required

Public Box id returned by create/list/get box calls.

Pattern: ^bx_[23456789abcdefghjkmnpqrstuvwxyz]{8}$

Query Parameters

limit
integer
default:100

Maximum items to return.

Required range: 1 <= x <= 200
cursor
string | null

Opaque pagination cursor returned as pageInfo.nextCursor.

sort
enum<string>
default:desc

Sort direction for cursor pagination.

Available options:
asc,
desc

Response

Completed snapshots for this box.

ok
boolean
required
Example:

true

type
string
required

Stable success envelope discriminator added by v1.

Allowed value: "snapshot.list"
snapshots
object[]
required
pageInfo
object